org.eclipse.eef

## Interface EEFValidationFixDescription

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  EEFValidationFixDescriptionImpl

    public interface EEFValidationFixDescription
    extends org.eclipse.emf.ecore.EObject

A representation of the model object 'EEF Validation Fix Description'.

The following features are supported:

- `Name`
- `Fix Expression`

See Also:
  `EefPackage.getEEFValidationFixDescription()`

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `getFixExpression()` Returns the value of the 'Fix Expression' attribute.
`java.lang.String` `getName()` Returns the value of the 'Name' attribute.
`void` `setFixExpression(java.lang.String value)` Sets the value of the '`Fix Expression`' attribute.
`void` `setName(java.lang.String value)` Sets the value of the '`Name`' attribute.

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Method Detail

#### getName

    java.lang.String getName()

Returns the value of the 'Name' attribute. The name of the validation fix to be displayed to the end user.

Returns:
  the value of the 'Name' attribute.
See Also:
  `setName(String)`, `EefPackage.getEEFValidationFixDescription_Name()`

#### setName

    void setName(java.lang.String value)

Sets the value of the '`Name`' attribute.

Parameters:
  `value` - the new value of the 'Name' attribute.
See Also:
  `getName()`

#### getFixExpression

    java.lang.String getFixExpression()

Returns the value of the 'Fix Expression' attribute. The expression to be used to fix an issue with the validation.

Returns:
  the value of the 'Fix Expression' attribute.
See Also:
  `setFixExpression(String)`, `EefPackage.getEEFValidationFixDescription_FixExpression()`

#### setFixExpression

    void setFixExpression(java.lang.String value)

Sets the value of the '`Fix Expression`' attribute.

Parameters:
  `value` - the new value of the 'Fix Expression' attribute.
See Also:
  `getFixExpression()`